package cn.com.countrygarden.bi.main.dao.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxQueryReplyDto;
import cn.com.countrygarden.bi.main.dto.wcx.WcxQuerySuggestDto;
import cn.com.countrygarden.bi.main.dto.wcx.WcxSuggestDto;
import cn.com.countrygarden.bi.main.dto.wcx.WcxSuggestReplyDto;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author feng
 */
public interface WcxSuggestMapper {
    List<WcxQuerySuggestDto> findSuggestByTime(WcxSuggestDto dto);

    Integer findSuggestByTimeCount(WcxSuggestDto dto);

    List<WcxQuerySuggestDto> findSuggestByReply(WcxSuggestDto dto);

    Integer findSuggestByReplyCount(WcxSuggestDto dto);

    List<WcxQueryReplyDto> findSuggestReply(@Param("suggestId") String suggestId, @Param("replyContent") String replyContent,
                                            @Param("pageOffset") Integer pageOffset, @Param("pageSize") Integer size
    );
    Integer findSuggestReplyPageCount(@Param("suggestId") String suggestId, @Param("replyContent") String replyContent);

    void deleteMySuggest(WcxSuggestDto wcxSuggestDto);

    void deleteMySuggestReply(WcxSuggestDto wcxSuggestDto);


    List<WcxQuerySuggestDto> findSuggestByTimeExport(WcxSuggestDto dto);

    List<WcxQuerySuggestDto> findSuggestByReplyExport(WcxSuggestDto dto);
    /**
           * 根据提议id批量获取该提议的回复内容
     * @param suggestIds
     * @return
     */
    List<WcxSuggestReplyDto> findSuggestReplyById(@Param("suggestIds") List<String> suggestIds);
} 
